import { EventEmitter, FunctionalComponent } from '../../stencil.core';
export declare class SVGFloorplan {
    private svgRoot?;
    root: HTMLRlSvgFloorplanElement;
    /**
     * Event fired when an element in the SVG is clicked (if it is clickable).
     * Details will be the `id` of the clicked element.
     */
    rlElementClicked: EventEmitter<string>;
    /**
     * Event fired when the SVG is clicked but no specific element is targeted,
     * that is, the active element is cleared.
     */
    rlElementCleared: EventEmitter<void>;
    /**
     * The contents of the SVG, as a `FunctionalComponent`.
     */
    svg?: FunctionalComponent;
    /**
     * The width for the SVG element.
     */
    width: string;
    /**
     * The height for the SVG element.
     */
    height: string;
    /**
     * The height of the SVG viewbox.
     */
    vbWidth: string;
    /**
     * The width of the SVG viewbox.
     */
    vbHeight: string;
    /**
     * Setting to true adds a viewbox attribute to the SVG element.
     */
    useViewbox: boolean;
    /**
     * The ID of the active (selected) element.
     */
    activeId: string;
    onActiveIdChange(newVal: string, oldVal: string): void;
    render(): any;
}
